Package org.tanukisoftware.wrapper.event

# Class WrapperSecondInvocationEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperRemoteControlEvent
org.tanukisoftware.wrapper.event.WrapperSecondInvocationEvent

All Implemented Interfaces:
  `Serializable`

public class WrapperSecondInvocationEvent extends WrapperRemoteControlEvent
WrapperSecondInvocationEvent is fired whenever a second instance of the Wrapper starts in single invocation mode.

This event is fired only when the properties 'wrapper.single_invocation' and 'wrapper.single_invocation.notify' are both set to TRUE.

WARNING - This event should be handled carefully as it may be originally triggered by unauthenticated sources.

Since:
  Wrapper 3.5.28
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WrapperSecondInvocationEvent()`
Creates a new WrapperSecondInvocationEvent.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of the event.

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperRemoteControlEvent

`getFlags`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperSecondInvocationEvent

public WrapperSecondInvocationEvent()
Creates a new WrapperSecondInvocationEvent.

## Method Details

### toString

public String toString()
Returns a string representation of the event.

Overrides:
  `toString` in class `EventObject`
Returns:
  A string representation of the event.